import { IsArray } from 'class-validator';

import { eRequestMethod } from '../enums/eRequestMethod';
import { StratumBaseMessage } from './StratumBaseMessage';

export class SubscriptionMessage extends StratumBaseMessage {


    @IsArray()
    params: string[];

    constructor() {
        super();
        this.method = eRequestMethod.SUBSCRIBE;

        console.log('constructor SubscriptionMessage');
    }

    public response() {
        return {
            id: null,
            error: null,
            result: [
                [
                    ['mining.notify', '64d8c004']
                ], //subscription details
                'ccc5d664', //Extranonce1 -  Hex-encoded, per-connection unique string which will be used for coinbase serialization later. Keep it safe!
                8 //Extranonce2_size - Represents expected length of extranonce2 which will be generated by the miner.
            ]
        }


    }
}